import type { Identity } from 'openfin-adapter';
import type { Action } from 'openfin-adapter/src/api/interappbus/channel/channel';
import type { ProviderIdentity } from 'openfin-adapter/src/shapes/Identity';
export declare class MockClient {
    get providerIdentity(): ProviderIdentity;
    dispatch(action: string, payload?: any): Promise<any>;
    onDisconnection(listener: (providerIdentity: ProviderIdentity) => any): void;
    disconnect(): Promise<void>;
    processAction(action: string, payload: any, senderIdentity: ProviderIdentity): Promise<any>;
    beforeAction(func: Action): void;
    onError(func: (action: string, error: any, id: Identity) => any): void;
    afterAction(func: Action): void;
    remove(action: string): void;
    setDefaultAction(func: (action?: string, payload?: any, senderIdentity?: ProviderIdentity) => any): void;
    register(topic: string, listener: Action): boolean;
}
