import { ErrorOrValue, NativeWindowConfigurations, NativeWindowFragmentApply, SnapshotWithFragment } from './index';
/**
 * Class which represents a connection to the Native Window Integration Provider.
 * Exposes the basic "fragment" methods along with "connect".
 *
 * @param {OpenFin.ChannelClient} client - OpenFin channel client
 * @param {string} url
 * @exports
 * @class NativeWindowIntegrationConnection
 */
export declare class NativeWindowIntegrationConnection {
    #private;
    private providerId;
    private authorizedUuid;
    private mockConnection;
    private isLocal;
    private rescueOnDisplayChange;
    constructor(providerId: string, authorizedUuid: string, mockConnection: boolean, isLocal: boolean, rescueOnDisplayChange: boolean, url: string);
    private get client();
    connect(): Promise<void>;
    private waitForConnection;
    private launchIfNeeded;
    getSnapshotFragment(): Promise<NativeWindowConfigurations>;
    applySnapshotFragment(snapshotFragment: SnapshotWithFragment['nativeWindows'], monitorInfo?: OpenFin.MonitorInfo): Promise<ErrorOrValue<NativeWindowFragmentApply>[]>;
}
